%global modulename npm-lifecycle

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-npm-lifecycle
Version:        2.1.0
Release:        1%{?dist}
Summary:        JavaScript package lifecycle hook runner

License:        Artistic 2.0
URL:            https://github.com/npm/lifecycle#readme
Source0:        https://registry.npmjs.org/npm-lifecycle/-/npm-lifecycle-2.1.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(byline) >= 5.0.0 with npmlib(byline) < 6.0.0))
BuildRequires:  ((npmlib(graceful-fs) >= 4.1.11 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(node-gyp) >= 3.8.0 with npmlib(node-gyp) < 4.0.0))
BuildRequires:  ((npmlib(resolve-from) >= 4.0.0 with npmlib(resolve-from) < 5.0.0))
BuildRequires:  ((npmlib(slide) >= 1.1.6 with npmlib(slide) < 2.0.0))
BuildRequires:  ((npmlib(uid-number) = 0.0.6))
BuildRequires:  ((npmlib(umask) >= 1.1.0 with npmlib(umask) < 2.0.0))
BuildRequires:  ((npmlib(which) >= 1.3.1 with npmlib(which) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
JavaScript package lifecycle hook runner

%package 2.1.0
Summary:        JavaScript package lifecycle hook runner


%description 2.1.0
JavaScript package lifecycle hook runner

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr node-gyp-bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.1.0
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Sat Nov 17 2018 npm2srpm <dshea@redhat.com> - 2.1.0-1
- Package automatically generated by npm2srpm
